<?php

class HostwindsReseller_cpanel_ResellerProduct extends HostwindsReseller_cpanel_Product
{

    public $defaultConfig = [
        'gr1' => 'Main Configuration',
        // @dynamicsubmodules
        /*
        'submodule' =>  array(
            'title'			=> 'Submodule',
            'type'			=> 'select',
            'options'		=> array('-'), // loaded later
            'description'   => '<img src="images/icons/support.png"  title="Select submodule" />',
            'useOptionsKeys'=> true
        ),
        */
        'target_product' => [
            'title' => 'Product From Main WHMCS',
            'type' => 'select',
            'options' => ['-'], // loaded later
            'description' => '<img src="images/icons/support.png"  title="Select final product" />',
            'useOptionsKeys' => true,
        ],
        'debug_mode' => [
            'title' => 'Debug Mode',
            'type' => 'select',
            'options' => ['No', 'Yes'],
            'description' => '<img src="images/icons/support.png"  title="If enabled, then all of requests to the API will be saved in Module Log" />',
            'useOptionsKeys' => true,
        ],
    ];

    public $defaultConfigurableOptions = [];

    public $defaultCustomField = [
        'hosting_id' => [
            'type' => 'text',
            'title' => 'Hosting ID In The Main WHMCS',
            'adminonly' => true,
        ],
    ];


    public function getConfigurableOptions()
    {
        $q = mysql_query_safe('
			SELECT co.*, cog.name AS group_name, cog.description AS group_description
			FROM tblproductconfigoptions AS co
			JOIN tblproductconfiggroups AS cog ON co.gid = cog.id
			JOIN tblproductconfiglinks AS col ON cog.id = col.gid
			WHERE col.pid = ?
		', [
            $this->id,
        ]);
        $options = [];
        while ($row = mysql_extract_assoc($q)) {
            $ex = explode('|', $row['optionname']);
            $options[$ex[0]] = $row;
        }
        return $options;
    }

}
