<?php

class HostwindsReseller_Hosting
{
    //Main Hosting ID
    private $mainWHMCSHostingID = null;
    //Resellet Hosting ID    
    private $resellerWHMCSHostingID = null;

    public function __construct($id)
    {
        $this->mainWHMCSHostingID = $id;
        $this->getResellerHostingID();
    }

    private function getResellerHostingID()
    {
        $q = mysql_get_row('SELECT cfv.relid
                    FROM tblcustomfields AS cf
                    JOIN tblcustomfieldsvalues AS cfv ON cfv.fieldid = cf.id
                    WHERE cf.type = "product" AND cfv.value = ' . (int)$this->mainWHMCSHostingID . '');
        if (isset($q, $q['relid']) && $q != null && $q['relid'] != null) {
            $this->resellerWHMCSHostingID = $q['relid'];
        } else {
            throw new Exception('Service with ID: ' . $this->mainWHMCSHostingID . ' is not assigned to reseller');
        }
    }

    private function getTemplateNameAssignedToProduct()
    {
        $tempateName == null;
        $q = mysql_get_row('SELECT tte.name
                    FROM tblemailtemplates AS tte
                    JOIN tblproducts AS tp ON tp.welcomeemail = tte.id
                    JOIN tblhosting AS th ON th.packageid = tp.id
                    WHERE th.id = ' . (int)$this->resellerWHMCSHostingID . '');
        if (isset($q, $q['name']) && !empty($q) && $q['name'] != null) {
            $tempateName = $q['name'];
        }

        return $tempateName;
    }

    public function sendWelcomeEmail()
    {
        //get setted template welcome email to product
        $messageName = $this->getTemplateNameAssignedToProduct();

        $command = 'SendEmail';
        $postData = [
            'messagename' => $messageName,
            'id' => $this->resellerWHMCSHostingID,
        ];
        $adminUsername = WHMCS::getAdmin();

        $results = localAPI($command, $postData, $adminUsername);

        if (isset($results) && $results['result'] == 'error') {
            throw new Exception($results['message']);
        }

        return $result;
    }
}
