<?php

require_once ADDON_DIR . DS . 'core' . DS . 'class.MG_Modules.php';
require_once ADDON_DIR . DS . 'core' . DS . 'functions.php';

class Hostings
{
    private $hostings = [];
    private $productIDs = [];

    public function __construct($productIDs = [])
    {
        $this->setProductsIDs($productIDs);
    }

    private function loadHostings()
    {
        $hostings = [];

        if (!empty($this->productIDs)) {
            foreach ($this->productIDs as $module => $modulesProducts) {
                if (!isset($hostings[$module])) {
                    $hostings[$module] = [];
                }
                $query = mysql_safequery("
                    SELECT h.id
                    FROM tblhosting h 
                    WHERE h.packageid IN (" . implode(',', $modulesProducts) . ")
                    AND h.domainstatus='Active'
                ");

                while ($row = mysql_extract_assoc($query)) {
                    $hostings[$module][] = $row['id'];
                }
            }
        }

        $this->setHostings($hostings);
    }

    private function setHostings($params)
    {
        $this->hostings = $params;
    }

    private function setProductsIDs($ids)
    {
        $this->productIDs = $ids;
    }

    public function getHostings()
    {
        $this->loadHostings();

        return $this->hostings;
    }
}
