<?php

if (!class_exists('MG_Modules')) {
    class MG_Modules
    {

        public static function getSupportedModules()
        {
            $modules = [];
            $path = ROOTDIR . DS . 'modules' . DS . 'servers' . DS;
            if ($handle = opendir($path)) {
                while (false !== ($entry = readdir($handle))) {
                    if ($entry != "." && $entry != ".." && is_dir($path . $entry) && file_exists($path . $entry . DS . $entry . '_submodules.dat')) {
                        $modules[] = $entry;
                    }
                }
                closedir($handle);
            }
            return $modules;

        }
    }
}

